Subject: Re: bug#43985: Error logging in with non-Latin language

From: raingloom <[email-masked]>
Date: Wed, 14 Oct 2020 18:13:21 +0200

On Wed, 14 Oct 2020 06:37:32 +0200 (CEST)
soheilkhanalipur--- via Bug reports for GNU Guix <[email-masked]>
wrote:

> After installing Guix system in non-Latin language, it is not
> possible to log in. When installing the system, the Guix system user
> login password was a "Persian" password; Once installed, the login
> page with my password will not open. (This is not a password error)
> To install on another system, I set an English password when
> installing, it worked properly and I logged in.

Does the installer use the same layout as the installed system?
That's usually what leads to these problems. I've had the same issue a
long time ago on Arch with Hungarian passwords.

Personally, I avoid passwords that can't be typed with ASCII, because I
might have to log in from someone else's machine and ASCII is the
lowest common denominator, for better or worse.